@charset "UTF-8";
/* 簡易リセットCSS */

body {
  overflow: unset;
}

/* 强制显示滚动条并设置基础样式 */
html::-webkit-scrollbar {
  width: 10px !important;
  height: 10px !important;
  display: block !important;
}

html::-webkit-scrollbar-track {
  background: #ffffff !important;
}

/* 滚动条滑块（可拖动部分） */
html::-webkit-scrollbar-thumb {
  background: #3f3f3f !important;
}

html {
  overflow-y: scroll !important;
}

header {
  position: sticky;
  top: 0;
}

#top {
  margin-top: -4vw;
}

#top:before {
  content: '';
  width: 23.63vw;
  height: 4vw;
  background: url(https://ingame.ingame.jp/e/extend/html/production/n/shiyuu_login/resources/pf/dmm/img/title.png) no-repeat center center;
  background-size: 100%;
  position: absolute;
  right: 50%;
  top: 50%;
  transform: translate(12vw, 5.5vw);
  z-index: 1000;
  animation: none;
}

.start_sp {
  display: none;
}

.start_pc {
  width: 29.7917vw;
  height: 10.4167vw;
  background: url(https://ingame.ingame.jp/e/extend/html/production/n/shiyuu_login/resources/pf/dmm/img/btn_bg.png) no-repeat center center;
  background-size: 100%;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 33vw;
  display: flex;
  flex-direction: column;
  padding: 2vw;
  justify-content: space-between;
  z-index: 666;
}

.left_area {
  width: 100%;
}

.pc_title {
  width: 70%;
  display: block;
  position: absolute;
  top: -1.6667vw;
  left: 50%;
  transform: translateX(-50%);
}

.pc_btn {
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
}

.pc_btn button {
  background: none;
  border: 0;
  outline: none;
  cursor: pointer;
  overflow:hidden;
  transition: transform .2s linear;
}

.pc_btn button:hover:before {
  position: absolute;
  top: 0;
  left: -75%;
  z-index: 2;
  display: block;
  width: 50%;
  height: 100%;
  background: linear-gradient(to right, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, .6) 100%);
  transform: skewX(-25deg);
  content: ""
}

.pc_btn button:hover {
  transform: scale(0.97);
}

.pc_btn button:hover:before {
  animation: appHoverShine .9s ease 1 both
}

@keyframes appHoverShine {
  0% {
    transform: skewX(-25deg) translateX(0)
  }

  100% {
    transform: skewX(-25deg) translateX(400%)
  }
}

.pc_btn button .start_btn1 {
  width: 11.5833vw;
  height: 3.625vw;
}

.pc_btn button .start_btn2 {
  width: 11.3021vw;
  height: 3.625vw;
}

.pc_btn button img {
  width: 100%;
}

#pre_registration_form {
  display: flex;
  flex-direction: column;
}

#pre_registration_form span {
  font-size: 0.65vw;
}

#pre_registration_form span input {
  vertical-align: middle;
  margin-right: .2vw;
  width: .7292vw;
  height: .7292vw;
  margin-top: -0.2vw;
}

.head_lule_box {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  font-weight: 600;
  font-size: .65vw !important;
}

.head_lule_box_left,
.head_lule_box_right {
  width: 50%;
  padding: .2083vw .625vw 0vw 0.85vw;
  line-height: 1.2 !important;
  color: #000000 !important;
  text-align: left !important;
  text-decoration: none !important;
  display: flex;
  flex-wrap: wrap;
}

.head_lule_box_right {
  padding: .47vw .625vw 0vw 0.9vw;
}

.head_lule_box_left {
  margin-top: -1.15vw;
}

.head_lule_box_left span,
.head_lule_box_right span {
  line-height: 0;
  display: block;
  height: 1vw;
}

.head_lule_box .specification {
  margin: 0 auto;
}

.head_lule_box .title_policy {
  margin-right: .4167vw;
}

.head_lule_box .title_policy a {
  color: #ff0000;
}

@media screen and (max-width: 768px) {
  .head_lule_box_left {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: .4167vw .5208vw;
    line-height: 2 !important;
    color: #000000 !important;
    font-weight: 600;
    text-align: center !important;
    text-decoration: none !important;
    font-size: 2.4vw !important;
    font-family: "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", "メイリオ", Meiryo, "ＭＳ Ｐゴシック", sans-serif !important;
  }
}

.head_lule_box_left span {
  display: flex;
  align-items: center;
}

.head_lule_box_left input,
.head_lule_box_right input {
  vertical-align: middle;
  margin-right: .2vw;
  width: .7292vw;
  height: .7292vw;
  margin-top: -0.2vw;
}

#rewards {
  scroll-margin-top: 2vw;
}

#chara {
  scroll-margin-top: 2vw;
}

#feature {
  scroll-margin-top: 2vw;
  display: none;
}

#world {
  scroll-margin-top: 2vw;
}

#spec {
  padding: 5vw 0 9vw;
}

#spec .spec_inner img {
  width: 11vw;
}

#spec .spec_inner .spec_table {
  font-size: 0.7vw;
  width: 100%;
}

#spec .spec_inner .spec_table th {
  width: 5.2917vw;
  width: 20%;
}

#spec .spec_inner .spec_table td {
  padding: 0.5em 1em;
  width: 80%;
}

#foot_link {
  justify-content: center;
  position: fixed;
  display: flex;
  align-items: center;
  background: linear-gradient(to top, #f3e5cf 0%, #fdfaf5 100%);
  background: #7c1b1b;
  z-index: 100;
  bottom: 0;
  width: 100%;
  height: 4vw;
}

.regist_right {
  width: 25vw;
  height: 3vw;
  display: block;
  background: url(https://ingame.ingame.jp/e/extend/html/production/n/shiyuu_login/resources/pf/dmm/img/title.png);
  background-size: 75%;
  background-position: left;
  background-repeat: no-repeat;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-right: 3vw;
  -webkit-box-pack: right;
  -ms-flex-pack: right;
  justify-content: right;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-transition: 0.2s;
  transition: 0.2s;
  position: relative;
}

.regist_right .arrow_area {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: right;
  -ms-flex-pack: right;
  justify-content: flex-start;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  width: 20%;
}

.regist_right .arrow_area .arrow {
  width: 1vw;
  height: 1vw;
  background-color: #ffffff;
  background: url(https://ingame.ingame.jp/e/extend/html/production/n/shiyuu_login/resources/pf/dmm/img/regist_arrow.png) no-repeat center center;
  background-size: 100%;
  -webkit-mask-size: cover;
  -webkit-animation: move 1.3s infinite;
  animation: move 1.3s infinite;
  margin: 0 .16vw;
}

.regist_right .arrow:nth-child(2) {
  -webkit-animation-delay: 0.15s;
  animation-delay: 0.15s;
}

.regist_right .arrow:nth-child(3) {
  -webkit-animation-delay: 0.3s;
  animation-delay: 0.3s;
}

@-webkit-keyframes move {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    -webkit-transform: translateX(0px);
    transform: translateX(0px);
  }
}

@keyframes move {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    -webkit-transform: translateX(0px);
    transform: translateX(0px);
  }
}

#foot_link .foot_title {
  width: 100%;
  max-width: 19.8438vw;
  height: 3.3333vw;
  display: block;
  margin: 0 .8333vw;
}

#foot_link .foot_btn {
  width: auto;
  height: 3.25vw;
  display: flex;
  margin: 0 .0833vw;
  z-index: 50;
}

#foot_link .foot_btn a {
  margin: 0 .4167vw;
  overflow:hidden;
  transition: transform .2s linear;
  border-radius:0.6vw;
}

#foot_link .foot_btn button{
  width: auto;
  height: 3.25vw;
  margin: 0 .4167vw;
  overflow:hidden;
  transition: transform .2s linear;
  border-radius:0.6vw;
  outline:none;
  background:none;
  border:0;
  display: block;
}
#foot_link .foot_btn button img{
  width:100%;
  height: 3.25vw;
}

#foot_link .foot_btn a:hover:before,#foot_link .foot_btn button:hover:before {
  position: absolute;
  top: 0;
  left: -75%;
  z-index: 2;
  display: block;
  width: 50%;
  height: 100%;
  background: linear-gradient(to right, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, .6) 100%);
  transform: skewX(-25deg);
  content: ""
}

#foot_link .foot_btn a:hover,#foot_link .foot_btn button:hover {
  transform: scale(0.97);
}

#foot_link .foot_btn a:hover:before,#foot_link .foot_btn button:hover:before {
  animation: appHoverShine .9s ease 1 both
}

#foot_link .foot_btn a img {
  width: 100%;
  height: 100%;
}

.rolling {
  background: url(https://ingame.ingame.jp/e/extend/html/production/n/shiyuu_login/resources/pf/dmm/img/footer_bg.png) center;
  background-size: 100%;
  height: 4vw;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  -webkit-animation: scroll 60s infinite linear;
  animation: scroll 60s infinite linear;
  z-index: 25;
}

@-webkit-keyframes scroll {
  from {
    background-position: 0 0;
  }

  to {
    background-position: 100vw 0;
  }
}

@keyframes scroll {
  from {
    background-position: 0 0;
  }

  to {
    background-position: 100vw 0;
  }
}

.noScllor {
  height: 100vh;
  overflow: hidden;
}

.noScllor #top,
.noScllor #bonus {
  filter: blur(20px);
}

.modal {
  position: fixed;
  display: none;
  z-index: 9999;
  top: 40%;
  left: 50%;
  width: 20.8333vw;
  height: 10.4167vw;
  margin: -6.25vw 0 0 -11.4583vw;
  padding: 1.0417vw;
  text-align: center;
}

.modal p {
  margin-bottom: 1em;
  max-width: 90vw;
}

.modal .modal_inner {
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgba(255, 255, 255, 0.7);
  height: 100vh;
  width: 100%;
  opacity: 1;
  top: 0;
  left: 0;
  z-index: 1000;
}

.notice_logo {
  margin: 0 0 .8333vw 0;
}

.modal .modal_inner span {
  position: relative;
  display: inline-block;
  background-color: #1f1f1f;
  padding: .5208vw .5208vw 0vw .5208vw;
  border-radius: .5208vw;
  color: #fff;
  border: .0521vw solid #f3f3f3;
}

.modal .check .check-button {
  outline: none;
  border: none;
  color: #000;
  font-weight: bold;
  background: url(https://ingame.ingame.jp/e/extend/html/production/n/shiyuu_login/resources/pf/dmm/img/check_btn.png) no-repeat;
  background-size: contain;
  width: 12.5vw;
  height: 3.125vw;
  margin: 1.25vw;
  cursor: pointer;
}

#terms {
  background-color: #000;
  color: #fff;
  padding: 5%;
  margin: 10vh auto;
  width: 100%;
  height: 80vh;
  overflow: auto;
}

#terms p {
  margin-bottom: 1em;
}

#terms h1 {
  border-bottom: .0521vw solid #fff;
  margin-bottom: 1em;
  font-size: 1.25vw;
}

#term_body h2 {
  margin: 5% 0%;
  padding: .5208vw;
  line-height: 1.6;
  border: .0521vw solid #fff;
  font-size: 1.25vw;
}

@media screen and (max-width: 768px) {
  .lity-container {
    max-width: 90vw !important;
  }
}

/* `iframe` 容器，确保 `iframe` 不覆盖底部 */
.iframe-container {
  flex: 1;
  width: 100%;
  overflow: hidden;
}

iframe {
  width: 100%;
  height: calc(100vh - 60px);
  /* 自动适应底部 */
  border: none;
}

/* 底部信息固定在底部 */
.footer {
  background: #ffffff;
  color: #000000;
  text-align: center;
  padding: 10px;
  font-size: 14px;
  width: 100%;
  position: relative;
  min-height: 60px;
  font-family: 'Noto Sans JP', sans-serif;
  padding: 1.5vw;
}

.footer a {
  color: #000000;
  text-decoration: none;
  margin: 0 10px;
  cursor: pointer;
  font-size: 0.85vw;
}

.footer a:hover {
  color: #0090ff;
  text-decoration: underline
}

.footer p {
  margin: 0.5vw 0;
}

/* 利用規約 Popup 样式 */
.terms-popup {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: rgba(0, 0, 0, 0.9);
  color: #fff;
  padding: 20px;
  width: 100%;
  /* max-width: 600px; */
  height: 100%;
  overflow-y: auto;
  border-radius: 0;
  z-index: 1000;
}

.terms-popup .close-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
  font-size: 20px;
}

/* 背景遮罩 */
.popup-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

#termsPopup {
  background-color: #000;
  color: #fff;
  padding: 5%;
  margin: 0vh auto;
  width: 100%;
  height: 100%;
  overflow: auto;
}

#termsPopup p {
  margin-bottom: 1em;
}

#termsPopup h3 {
  border-bottom: .0521vw solid #fff;
  margin-bottom: 1em;
  font-size: 1.25vw;
  line-height: 3;
}

#termsPopup h4 {
  margin: 1% 0%;
  padding: .5208vw;
  line-height: 1.6;
  border: .0521vw solid #fff;
  font-size: 1.25vw;
}